<?php

declare(strict_types=1);

/*
 * Chill is a software for social workers
 *
 * For the full copyright and license information, please view
 * the LICENSE file that was distributed with this source code.
 */

namespace Chill\Migrations\Person;

use Doctrine\DBAL\Schema\Schema;
use Doctrine\Migrations\AbstractMigration;

final class Version20211216154008 extends AbstractMigration
{
    public function down(Schema $schema): void
    {
        $this->addSql('ALTER TABLE chill_person_household_members DROP CONSTRAINT chill_person_household_members_check');
        $this->addSql('ALTER TABLE chill_person_household_members ADD CONSTRAINT chill_person_household_members_check CHECK (startdate < enddate)');
    }

    public function getDescription(): string
    {
        return 'Allow a person to be moved into different household on same day';
    }

    public function up(Schema $schema): void
    {
        $this->addSql('ALTER TABLE chill_person_household_members DROP CONSTRAINT chill_person_household_members_check');
        $this->addSql('ALTER TABLE chill_person_household_members ADD CONSTRAINT chill_person_household_members_check CHECK (startdate <= enddate)');
    }
}
